# Remove coupon

Use the **deletePromotionCoupon** method to remove multiple coupons from a promotion. You cannot delete a single coupon. The coupon is required for the promotion.

## Request parameters <a href="#parameters" id="parameters"></a>

| Parameter                    | Type / Description                                                                                                                                   |
| ---------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------- |
| `promotionCode`              | <p><strong>Required (string)</strong><br>The code corresponding to the promotion that you want to remove coupons from.</p>                           |
| `promotionCoupon`            | **Required (object)**                                                                                                                                |
| `promotionCoupon.Type`       | <p><strong>Required (string)</strong></p><p>Coupon type. Available values:</p><ul><li>MULTIPLE, use in conjunction with <code>Codes</code></li></ul> |
| `promotionCoupon.Code/Codes` | <p><strong>Required (string/array of strings)</strong><br>Array of coupon codes (for MULTIPLE).</p>                                                  |

### Request sample

```php
<?php

require ('PATH_TO_AUTH');

// Promotion code corresponding to the promotion you want to remove coupons from
$promotionCode = '';

// Define multiple coupon object
$promotionCoupon = new stdClass;
$promotionCoupon->Type = 'MULTIPLE';
$promotionCoupon->Codes = ['YOUR_CODE_1', 'YOUR_CODE_2'];

$jsonRpcRequest = array (
'jsonrpc' => '2.0',
'id' => $i++,
'method' => 'deletePromotionCoupon',
'params' => array($sessionID, $promotionCode, $promotionCoupon)
);
var_dump (callRPC($jsonRpcRequest, $host));
```

## Response parameters <a href="#response" id="response"></a>

<table><thead><tr><th width="166">Parameter</th><th>Type</th></tr></thead><tbody><tr><td><a href="/pages/d1cfbc99f415fd4153e045f9eba37aca5ff6431c"><code>promotionCoupon</code></a></td><td><strong>Object</strong></td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.2checkout.com/json-rpc-api-reference/json-rpc-api-6.0/api-requests/coupons/remove-coupon.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
